Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
[Java] Class ClosureRenderer

    java.lang.Object
      groovy.swing.impl.ClosureRenderer

All Implemented Interfaces:
  ListCellRenderer, TableCellRenderer, TreeCellRenderer

    public class ClosureRenderer
    extends Object

Authors:
  Danno.Ferrin

Constructor Summary
`ClosureRenderer()`
`ClosureRenderer(Closure c)`

Method Summary
`List` | `getChildren()`
`int` | `getColumn()`
`JList` | `getList()`
`Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`int` | `getRow()`
`JTable` | `getTable()`
`Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`JTree` | `getTree()`
`Component` | `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`
`Closure` | `getUpdate()`
`Object` | `getValue()`
`boolean` | `isDefaultRenderer()`
`boolean` | `isExpanded()`
`boolean` | `isFocused()`
`boolean` | `isLeaf()`
`boolean` | `isSelected()`
`boolean` | `isTableHeader()`
`void` | `setTableHeader(boolean tableHeader)`
`void` | `setUpdate(Closure update)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClosureRenderer

    public ClosureRenderer()

### ClosureRenderer

    public ClosureRenderer(Closure c)

Method Detail

### getChildren

    public List getChildren()

### getColumn

    public int getColumn()

### getList

    public JList getList()

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)

### getRow

    public int getRow()

### getTable

    public JTable getTable()

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)

### getTree

    public JTree getTree()

### getTreeCellRendererComponent

    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)

### getUpdate

    public Closure getUpdate()

### getValue

    public Object getValue()

### isDefaultRenderer

    public boolean isDefaultRenderer()

### isExpanded

    public boolean isExpanded()

### isFocused

    public boolean isFocused()

### isLeaf

    public boolean isLeaf()

### isSelected

    public boolean isSelected()

### isTableHeader

    public boolean isTableHeader()

### setTableHeader

    public void setTableHeader(boolean tableHeader)

### setUpdate

    public void setUpdate(Closure update)

Copyright © 2003-2010 The Codehaus. All rights reserved.